Skip to main content
Version: 10.1

Command Resource

Description​

Resource used to check status of commands issued to the clustering management system.

GET /setup/commands/:ID​

GET Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURLNumeric ID of the issued command 

GET Response Values​

NameTypeDescription
command_resourceJSON StringThe command resource that was requested.
commandJSON StringThe issued command.
statusJSON StringThe status of the command. This will either be "request" or "success" for initial or completed commands. If the command fails (indicated by the failed boolean) for a known reason, this will contain a description of the failure cause. If the cause of failure is unknown, it will simply be "failure".
finishedJSON BooleanWhether or not the command has finished processing.
failedJSON BooleanWhether or not the command has failed.

Example GET Request​

 GET /setup/commands/4

Example GET Response​

 {
"command_resource": "/commands/4",
"command": "switchover",
"status": "success",
"finished": true,
"failed": false
}